%define module  UNIVERSAL-isa
%define name    perl-%{module}
%define version 1.01
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Hack around calling UNIVERSAL::isa() as a function
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/UNIVERSAL/%{module}-%{version}.tar.bz2
BuildRequires:  perl(CGI)
BuildRequires:  perl(Module::Build)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Whenever you use "isa" in UNIVERSAL as a function, a kitten using
Test::MockObject dies. Normally, the kittens would be helpless, but if they use
UNIVERSAL::isa (the module whose docs you are reading), the kittens can live
long and prosper.

This module replaces UNIVERSAL::isa with a version that makes sure that if it's
called as a function on objects which override isa, isa will be called on those
objects as a method.

In all other cases the real UNIVERSAL::isa is just called directly.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*



%changelog
* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 279089
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-7mdv2009.0
+ Revision: 242112
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-5mdv2008.0
+ Revision: 87074
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-4mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-3mdk
- Fix SPEC according to Perl Policy
    - BuildRequires
    - Source URL

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- fix buildrequires

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- New release 0.06

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Tue Sep 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- first mdk release

